Update FrequencyTTL / Cache: 4 hours
Data Updates: Officials update as profiles change
Polling cadence for this and every other feed: Update Frequencies
NBA API BasicsFor general guidance on working with supplementary league reference data, see our NBA API Basics page.
Request
GET https://api.sportradar.com/nba/{access_level}/v8/{language_code}/league/officials.{format}
x-api-key: YOUR_API_KEYData Points
League
| Attribute | Parent Element | Type | Description |
|---|---|---|---|
alias | league | String | League alias ex. NBA |
id | league | GUID | Unique ID of the league ex. 4353138d-4c22-4396-95d8-5f587d2df25c |
name | league | String | League name ex. NBA |
Officials
| Attribute | Parent Element | Type | Description |
|---|---|---|---|
experience | official | String | Years of experience as an official ex. 21 |
first_name | official | String | First name of an official ex. Ed |
full_name | official | String | Full name of an official ex. Ed Malloy |
id | official | GUID | Unique ID of an official ex. fdf1c588-632b-4b76-bd00-e4a1ff94fc1e |
last_name | official | String | Last name of an official ex. Malloy |
number | official | String | Uniform number of an official ex. 14 |
status | official | String | Status of an officialACT, INACT |
Response
The examples below show the league and the first two officials.
{
"league": {
"id": "4353138d-4c22-4396-95d8-5f587d2df25c",
"name": "NBA",
"alias": "NBA"
},
"officials": [
{
"id": "fdf1c588-632b-4b76-bd00-e4a1ff94fc1e",
"full_name": "Ed Malloy",
"first_name": "Ed",
"last_name": "Malloy",
"number": "14",
"status": "ACT",
"experience": "21"
},
{
"id": "fd08464e-4483-4a9e-807e-c1622103e869",
"full_name": "Sean Corbin",
"first_name": "Sean",
"last_name": "Corbin",
"number": "33",
"status": "ACT",
"experience": "28"
}
]
}<?xml version="1.0" ?>
<league xmlns="http://feed.elasticstats.com/schema/basketball/officials-v2.0.xsd" id="4353138d-4c22-4396-95d8-5f587d2df25c" name="NBA" alias="NBA">
<officials>
<official id="fdf1c588-632b-4b76-bd00-e4a1ff94fc1e" full_name="Ed Malloy" first_name="Ed" last_name="Malloy" number="14" status="ACT" experience="21"/>
<official id="fd08464e-4483-4a9e-807e-c1622103e869" full_name="Sean Corbin" first_name="Sean" last_name="Corbin" number="33" status="ACT" experience="28"/>
<!-- ... omitted for brevity -->
</officials>
</league>